GNU bug report logs - #36197
[Patch] gnu: add celestia; celestia-gtk

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Amar Singh <nly@HIDDEN>; dated Thu, 13 Jun 2019 18:16:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 36197 <at> debbugs.gnu.org:


Received: (at 36197) by debbugs.gnu.org; 4 Jul 2019 08:03:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 04 04:03:01 2019
Received: from localhost ([127.0.0.1]:50307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiwhp-0004Eq-JV
	for submit <at> debbugs.gnu.org; Thu, 04 Jul 2019 04:03:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hiwhn-0004EX-Um
 for 36197 <at> debbugs.gnu.org; Thu, 04 Jul 2019 04:03:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53655)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hiwhc-0005ew-BN; Thu, 04 Jul 2019 04:02:51 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=42292 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hiwhb-0003xy-3Q; Thu, 04 Jul 2019 04:02:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Eric Bavier <ericbavier@HIDDEN>
Subject: Re: [Patch] gnu: add celestia; celestia-gtk
References: <286873002.93389827.1562079289412.JavaMail.zimbra@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 04 Jul 2019 10:02:45 +0200
In-Reply-To: <286873002.93389827.1562079289412.JavaMail.zimbra@HIDDEN>
 (Eric Bavier's message of "Tue, 2 Jul 2019 10:54:49 -0400 (EDT)")
Message-ID: <87d0iq9qhm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36197
Cc: 36197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Eric,

Eric Bavier <ericbavier@HIDDEN> skribis:

> Did this patch address the concerns raised in this thread: https://lists.=
gnu.org/archive/html/guix-devel/2015-07/msg00030.html ?

Good question, I don=E2=80=99t know.  Could you take a look?

I picked it up because there had been no comments for some time, but I
was unaware of the issues you raise.

Thanks for the heads-up,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#36197; Package guix-patches. Full text available.
Removed tag(s) patch. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 36197 <at> debbugs.gnu.org:


Received: (at 36197) by debbugs.gnu.org; 2 Jul 2019 14:54:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 10:54:56 2019
Received: from localhost ([127.0.0.1]:47636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiKBM-0007Ke-KR
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 10:54:56 -0400
Received: from mail.onyx.syn-alias.com ([206.152.134.66]:61203
 helo=smtp.centurylink.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericbavier@HIDDEN>) id 1hiKBL-0007KR-6f
 for 36197 <at> debbugs.gnu.org; Tue, 02 Jul 2019 10:54:55 -0400
DKIM-Signature: v=1; a=rsa-sha1; d=centurylink.net; s=ctl201402;
 c=relaxed/simple; q=dns/txt; i=@centurylink.net; t=1562079289;
 h=From:Subject:Date:To:MIME-Version:Content-Type;
 bh=BLraXvZWYSgSNvqGhUsaTZGXbZQ=;
 b=zQXJaT4vzRHyKs+RTtAvCpuft8kUlU16YRLB7gmbdX15tpp+ITcaRaHz/9oJ/OMQ
 tyVo+ny8RLxln+HI94UJwTViFqYl6f1OBomhQ8mMLbw0yBEk13fGFbZlzwF1KziR
 MIUVA99hUQCp2A62NAg8UyzdW238Ybf8rgBlLtSAxyKqm0mJd3KkWQSsZx1M+wfT
 RC5F4RkultmmlIRTigF9zk74V5jmXOYill5deUk1BWYCgukNr3hndsy7GgShzYKG
 ZbaT+0+LfarWZPpAFHleZYeWeiJGbGIsOQ7vzxb89tO0bJtMWIMU4/ZG3ww3CsHO
 xtyrdZPl6S34krif86NnZA==;
X_CMAE_Category: , ,
X-CNFS-Analysis: v=2.3 cv=WfJylHpX c=1 sm=1 tr=0
 a=QxtPrmUcPNOwcsERwKKglw==:117 a=KGjhK52YXX0A:10 a=FKkrIqjQGGEA:10
 a=-71Q6_cpt6AA:10 a=IkcTkHD0fZMA:10 a=0o9FgrsRnhwA:10 a=zSv6zi-ZgakA:10
 a=W7HvRly7wZ8A:10 a=eQrCS-SpgXYA:10 a=mDV3o1hIAAAA:8 a=gBacKGGFxvEjpZr8qlkA:9
 a=QEXdDO2ut3YA:10 a=5B0LEoaNewQA:10 a=_FVE-zBwftR9WsbkzFJk:22
X-CM-Score: 0
X-Scanned-by: Cloudmark Authority Engine
Feedback-ID: dfw:ctl:res:onyx
X-Authed-Username: ZXJpY2JhdmllckBjZW50dXJ5bGluay5uZXQ=
Received: from [10.41.66.26] ([10.41.66.26:59616] helo=md02.onyx.dfw.sync.lan)
 by smtp.centurylink.net (envelope-from <ericbavier@HIDDEN>)
 (ecelerity 3.6.25.56547 r(Core:3.6.25.0)) with ESMTP
 id 96/6A-24582-9307B1D5; Tue, 02 Jul 2019 10:54:49 -0400
Date: Tue, 2 Jul 2019 10:54:49 -0400 (EDT)
From: Eric Bavier <ericbavier@HIDDEN>
To: 36197 <at> debbugs.gnu.org
Message-ID: <286873002.93389827.1562079289412.JavaMail.zimbra@HIDDEN>
Subject: Re: [Patch] gnu: add celestia; celestia-gtk
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Originating-IP: [97.116.107.43]
X-Mailer: Zimbra 8.7.6_GA_1776 (ZimbraWebClient - [unknown]
 (Linux)/8.7.6_GA_1776)
Thread-Index: QUzjuppUlgr1bGxUm0pdIrVdDWCM3Q==
Thread-Topic: add celestia; celestia-gtk
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36197
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Did this patch address the concerns raised in this thread: https://lists.gnu.org/archive/html/guix-devel/2015-07/msg00030.html ?

-- 
`~Eric




Information forwarded to guix-patches@HIDDEN:
bug#36197; Package guix-patches. Full text available.

Message received at 36197-done <at> debbugs.gnu.org:


Received: (at 36197-done) by debbugs.gnu.org; 26 Jun 2019 12:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 26 08:51:49 2019
Received: from localhost ([127.0.0.1]:34467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hg7Or-0003mT-G4
	for submit <at> debbugs.gnu.org; Wed, 26 Jun 2019 08:51:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hg7On-0003mC-0l
 for 36197-done <at> debbugs.gnu.org; Wed, 26 Jun 2019 08:51:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50756)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hg7Oe-0002H9-JU; Wed, 26 Jun 2019 08:51:33 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35694 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hg7Oe-0005uh-27; Wed, 26 Jun 2019 08:51:32 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Amar Singh <nly@HIDDEN>
Subject: Re: [bug#36197] [Patch] gnu: add celestia; celestia-gtk
References: <855zp9gxna.fsf@HIDDEN>
Date: Wed, 26 Jun 2019 14:51:29 +0200
In-Reply-To: <855zp9gxna.fsf@HIDDEN> (Amar Singh's message of "Thu, 13
 Jun 2019 23:45:05 +0530")
Message-ID: <87y31oik6m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36197-done
Cc: 36197-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Amar,

Amar Singh <nly@HIDDEN> skribis:

>>From dba590074e9a0c7cf3dc8440492190de732feaea Mon Sep 17 00:00:00 2001
> From: Amar Singh <nly@HIDDEN>
> Date: Sun, 19 May 2019 12:39:48 +0530
> Subject: [PATCH 1/2] gnu: Add celestia.
>
> * gnu/packages/astronomy.scm (celestia): New variable.

I fixed the license as swedebugia noted, made the minor cosmetic changes
shown below, and applied.

>>From c8dd3c6871da910761ea8908f6bc9866c7f3c5ac Mon Sep 17 00:00:00 2001
> From: Amar Singh <nly@HIDDEN>
> Date: Thu, 13 Jun 2019 22:53:22 +0530
> Subject: [PATCH 2/2] gnu: Add celestia-gtk.
>
> * gnu/packages/astronomy.scm (celestia-gtk): New variable.

Applied with the changes below.

Thank you!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index 20639bc779..59fa11bfda 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -2,7 +2,7 @@
 ;;; Copyright =C2=A9 2016 John Darrington <jmd@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Efraim Flashner <efraim@HIDDEN>
-;;; Copyright =C2=A9 2019 by Amar Singh<nly@HIDDEN>
+;;; Copyright =C2=A9 2019 by Amar Singh <nly@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -189,20 +189,16 @@ objects.")
   (let ((commit "9dbdf29c4ac3d20afb2d9a80d3dff241ecf81dce"))
     (package
       (name "celestia")
-      (version
-       (git-version "1.6.1" "815" commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri
-          (git-reference
-           (url
-            "https://github.com/celestiaproject/celestia")
-           (commit commit)))
-         (file-name (git-file-name name version))
-         (sha256
-          (base32
-           "00xibg87l1arzifakgj7s828x9pszcgx7x7ij88a561ig49ryh78"))))
+      (version (git-version "1.6.1" "815" commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/celestiaproject/celestia")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "00xibg87l1arzifakgj7s828x9pszcgx7x7ij88a561ig49ryh78"))=
))
       (build-system cmake-build-system)
       (native-inputs
        `(("perl" ,perl)
@@ -227,14 +223,14 @@ objects.")
        `(("lua" ,lua)))
       (arguments
        `(#:configure-flags '("-DENABLE_GLUT=3DON" "-DENABLE_QT=3DOFF")
-         #:tests? #f))
+         #:tests? #f))                            ;no tests
       (home-page "https://celestia.space/")
       (synopsis "Real-time 3D visualization of space")
       (description
-       "The free space simulation that lets you explore our universe in th=
ree
+       "This simulation program lets you explore our universe in three
 dimensions.  Celestia simulates many different types of celestial objects.
 From planets and moons to star clusters and galaxies, you can visit every
 object in the expandable database and view it from any point in space and
 time.  The position and movement of solar system objects is calculated
 accurately in real time at any rate desired.")
-      (license license:gpl2))))
+      (license license:gpl2+))))

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index df801ef444..81c7481e0b 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -42,7 +42,8 @@
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages maths)
   #:use-module (guix build-system cmake)
-  #:use-module (guix build-system gnu))
+  #:use-module (guix build-system gnu)
+  #:use-module (srfi srfi-1))
 
 (define-public cfitsio
   (package
@@ -238,15 +239,13 @@ accurately in real time at any rate desired.")
       (license license:gpl2+))))
 
 (define-public celestia-gtk
-  (package (inherit celestia)
-           (name "celestia-gtk")
-           (version (package-version celestia))
-           (inputs
-            (append (filter (lambda (x)
-                              (not (equal? (car x) "freeglut")))
-                            (package-inputs celestia))
-                    `(("gtk2" ,gtk+-2)
-                      ("gtkglext" ,gtkglext))))
-           (arguments
-            `(#:configure-flags '("-DENABLE_GTK=ON" "-DENABLE_QT=OFF")
-              #:tests? #f))))
+  (package
+    (inherit celestia)
+    (name "celestia-gtk")
+    (inputs
+     (append (alist-delete "freeglut" (package-inputs celestia))
+             `(("gtk2" ,gtk+-2)
+               ("gtkglext" ,gtkglext))))
+    (arguments
+     `(#:configure-flags '("-DENABLE_GTK=ON" "-DENABLE_QT=OFF")
+       #:tests? #f))))

--=-=-=--




Notification sent to Amar Singh <nly@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jun 2019 19:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 15:25:46 2019
Received: from localhost ([127.0.0.1]:33559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfr4c-0000Wo-8K
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 15:25:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:51127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hfr4a-0000Wg-K4
 for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 15:25:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33125)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hfr4Z-00038g-Lp
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 15:25:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_05,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hfr4Y-0000Bo-MO
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 15:25:43 -0400
Received: from mx1.riseup.net ([198.252.153.129]:45604)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hfr4Y-00008t-BQ
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 15:25:42 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 7376E1B92CE
 for <guix-patches@HIDDEN>; Tue, 25 Jun 2019 12:25:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561490740; bh=wVxDtkoW1+2WjH3DluXa0Eh4HI48ljxGTJ7xseNfGII=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=Hw6X2HtXXYEXFg85u0OwiFa5EU8gn58Y0/Sg2HQ9UwihCjzGqGChCmVqqHHrzSed5
 9dFlRVteMzCIGjsN0JcR1qwOTaLl6KmW3ILvJ12DkLhnw3bRUIVwk5aq5Vbv6BtCBx
 JuPOpIGzW30QC2uTUeWIpP5dk9QHCj05A3Xxi3IM=
X-Riseup-User-ID: FE5F352FE68ED3A1A98354E147E2A3CC506AF9C1F061F5C291EF196ACA3E4282
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 989FC120576
 for <guix-patches@HIDDEN>; Tue, 25 Jun 2019 12:25:39 -0700 (PDT)
Subject: Re: [bug#36197] [Patch] gnu: add celestia; celestia-gtk
To: guix-patches@HIDDEN
References: <855zp9gxna.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <4b03ca6e-c0e6-a9cf-e2f7-2f635f8f14d0@HIDDEN>
Date: Tue, 25 Jun 2019 21:25:35 +0200
MIME-Version: 1.0
In-Reply-To: <855zp9gxna.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 2019-06-13 20:15, Amar Singh wrote:
> 
> Added Celestia; space visualisation and simulator to (gnu packages
> astronomy).
> 
> Tests are disabled because the project does not include any tests.

 > +      (license license:gpl2))))

Source code files say 2 or later. Otherwise LGTM.

I'm not going to review the celestia-gtk because of small bandwidth.

Thanks for the patch!

-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#36197; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jun 2019 18:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 13 14:15:51 2019
Received: from localhost ([127.0.0.1]:36082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbUGJ-0003L1-MF
	for submit <at> debbugs.gnu.org; Thu, 13 Jun 2019 14:15:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:49409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nly@HIDDEN>) id 1hbUGH-0003Ku-UK
 for submit <at> debbugs.gnu.org; Thu, 13 Jun 2019 14:15:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54061)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <nly@HIDDEN>) id 1hbUGG-0003VG-6H
 for guix-patches@HIDDEN; Thu, 13 Jun 2019 14:15:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nly@HIDDEN>) id 1hbUG5-0002AQ-Lt
 for guix-patches@HIDDEN; Thu, 13 Jun 2019 14:15:40 -0400
Received: from knopi.disroot.org ([178.21.23.139]:40644)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nly@HIDDEN>) id 1hbUFt-0001gK-5B
 for guix-patches@HIDDEN; Thu, 13 Jun 2019 14:15:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 50D2D34808
 for <guix-patches@HIDDEN>; Thu, 13 Jun 2019 20:15:14 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ba6z-83R3jOx for <guix-patches@HIDDEN>;
 Thu, 13 Jun 2019 20:15:12 +0200 (CEST)
From: Amar Singh <nly@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1560449712; bh=vrg09jdaIFJkAQ+UDpCB+0glCj161z2Fbjt9aYiN1us=;
 h=From:To:Subject:Date;
 b=EhdyIwXIYlRnUWNanJsDHPoyWKg+9qwjhmOWMz0se/0Hafn6GQx698ynrVisXk159
 4AVybvxuwqnP9TB+F2MP40t2I7XoPFQy0e5XPCd07E/fv/18FAIIUn6+FGGda973ll
 0AqTlytCKsL4wVqHFLYv4fZMoFRcmogmD3FlRbTaCkMCjmQFl4Ca32rGhOsbcjR+gY
 GrfJRXiIqldnDFuOcP9u5zCKR1FaaC3tWqfshI54RZ7Pw8SixIem/CLMPJBZcsixiJ
 8BF4cjZoihzLG0cpXTpLmPiyateCKj25pvZUe+BZ31gFx+kvYNMBK1f+7eoTbKEJrE
 Shvz3S02nyPqQ==
To: guix-patches@HIDDEN
Subject: [Patch] gnu: add celestia; celestia-gtk
Date: Thu, 13 Jun 2019 23:45:05 +0530
Message-ID: <855zp9gxna.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Added Celestia; space visualisation and simulator to (gnu packages
astronomy).

Tests are disabled because the project does not include any tests.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-celestia.patch
Content-Transfer-Encoding: quoted-printable

From dba590074e9a0c7cf3dc8440492190de732feaea Mon Sep 17 00:00:00 2001
From: Amar Singh <nly@HIDDEN>
Date: Sun, 19 May 2019 12:39:48 +0530
Subject: [PATCH 1/2] gnu: Add celestia.

* gnu/packages/astronomy.scm (celestia): New variable.
---
 gnu/packages/astronomy.scm | 62 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index 9ddb9e1d52..c0ddbca033 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -2,6 +2,7 @@
 ;;; Copyright =C2=A9 2016 John Darrington <jmd@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright =C2=A9 2019 by Amar Singh<nly@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -22,11 +23,18 @@
   #:use-module (guix packages)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix download)
+  #:use-module (guix git-download)
   #:use-module (guix utils)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages image)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages gettext)
+  #:use-module (gnu packages version-control)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages xiph)
+  #:use-module (gnu packages pretty-print)
+  #:use-module (gnu packages algebra)
+  #:use-module (gnu packages lua)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages qt)
@@ -176,3 +184,57 @@ programs for the manipulation and analysis of astronom=
ical data.")
 can be used to control telescopes over a serial port for tracking celestial
 objects.")
     (license license:gpl2+)))
+
+(define-public celestia
+  (let ((commit "9dbdf29c4ac3d20afb2d9a80d3dff241ecf81dce"))
+    (package
+      (name "celestia")
+      (version
+       (git-version "1.6.1" "815" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url
+            "https://github.com/celestiaproject/celestia")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "00xibg87l1arzifakgj7s828x9pszcgx7x7ij88a561ig49ryh78"))))
+      (build-system cmake-build-system)
+      (native-inputs
+       `(("perl" ,perl)
+         ("libgit2" ,libgit2)
+         ("pkg-config" ,pkg-config)
+         ("libtool" ,libtool)
+         ("gettext" ,gettext-minimal)))
+      (inputs
+       `(("glu" ,glu)
+         ("glew" ,glew)
+         ("libtheora" ,libtheora)
+         ("libjpeg" ,libjpeg)
+         ("libpng" ,libpng)
+         ;; maybe required?
+         ("mesa" ,mesa)
+         ;; optional: fmtlib, Eigen3;
+         ("fmt" ,fmt)
+         ("eigen" ,eigen)
+         ;; glut: for glut interface
+         ("freeglut" ,freeglut)))
+      (propagated-inputs
+       `(("lua" ,lua)))
+      (arguments
+       `(#:configure-flags '("-DENABLE_GLUT=3DON" "-DENABLE_QT=3DOFF")
+         #:tests? #f))
+      (home-page "https://celestia.space/")
+      (synopsis "Real-time 3D visualization of space")
+      (description
+       "The free space simulation that lets you explore our universe in th=
ree
+dimensions.  Celestia simulates many different types of celestial objects.
+From planets and moons to star clusters and galaxies, you can visit every
+object in the expandable database and view it from any point in space and
+time.  The position and movement of solar system objects is calculated
+accurately in real time at any rate desired.")
+      (license license:gpl2))))
--=20
2.22.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0002-gnu-Add-celestia-gtk.patch

From c8dd3c6871da910761ea8908f6bc9866c7f3c5ac Mon Sep 17 00:00:00 2001
From: Amar Singh <nly@HIDDEN>
Date: Thu, 13 Jun 2019 22:53:22 +0530
Subject: [PATCH 2/2] gnu: Add celestia-gtk.

* gnu/packages/astronomy.scm (celestia-gtk): New variable.
---
 gnu/packages/astronomy.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index c0ddbca033..206b9b0b5a 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -38,6 +38,8 @@
   #:use-module (gnu packages perl)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages maths)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu))
@@ -238,3 +240,18 @@ object in the expandable database and view it from any point in space and
 time.  The position and movement of solar system objects is calculated
 accurately in real time at any rate desired.")
       (license license:gpl2))))
+
+(define-public celestia-gtk
+  (package (inherit celestia)
+           (name "celestia-gtk")
+           (version (package-version celestia))
+           (inputs
+            (append (filter (lambda (x)
+                              (not (equal? (car x) "freeglut")))
+                            (package-inputs celestia))
+                    `(("gtk2" ,gtk+-2)
+                      ("gtkglext" ,gtkglext))))
+           (arguments
+            `(#:configure-flags '("-DENABLE_GTK=ON" "-DENABLE_QT=OFF")
+              #:tests? #f))))
+
-- 
2.22.0


--=-=-=--




Acknowledgement sent to Amar Singh <nly@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36197; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Jul 2019 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.